
package br.org.cipbancos.scg.webservice;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.3.0-SNAPSHOT
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "SCGService", targetNamespace = "http://webservice.scg.cipbancos.org.br", wsdlLocation = "file:/mnt/work/projecTi/documentos/cip/cip.wsdl")
public class SCGService
    extends Service
{

    private final static URL SCGSERVICE_WSDL_LOCATION;
    private final static WebServiceException SCGSERVICE_EXCEPTION;
    private final static QName SCGSERVICE_QNAME = new QName("http://webservice.scg.cipbancos.org.br", "SCGService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("file:/mnt/work/projecTi/documentos/cip/cip.wsdl");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        SCGSERVICE_WSDL_LOCATION = url;
        SCGSERVICE_EXCEPTION = e;
    }

    public SCGService() {
        super(__getWsdlLocation(), SCGSERVICE_QNAME);
    }

    public SCGService(WebServiceFeature... features) {
        super(__getWsdlLocation(), SCGSERVICE_QNAME, features);
    }

    public SCGService(URL wsdlLocation) {
        super(wsdlLocation, SCGSERVICE_QNAME);
    }

    public SCGService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, SCGSERVICE_QNAME, features);
    }

    public SCGService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public SCGService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns ControleGarantia
     */
    @WebEndpoint(name = "controleGarantia")
    public ControleGarantia getControleGarantia() {
        return super.getPort(new QName("http://webservice.scg.cipbancos.org.br", "controleGarantia"), ControleGarantia.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns ControleGarantia
     */
    @WebEndpoint(name = "controleGarantia")
    public ControleGarantia getControleGarantia(WebServiceFeature... features) {
        return super.getPort(new QName("http://webservice.scg.cipbancos.org.br", "controleGarantia"), ControleGarantia.class, features);
    }

    private static URL __getWsdlLocation() {
        if (SCGSERVICE_EXCEPTION!= null) {
            throw SCGSERVICE_EXCEPTION;
        }
        return SCGSERVICE_WSDL_LOCATION;
    }

}
